=head1 NAME

Gtk2::Alignment

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gtk2::Container
                      +----Gtk2::Bin
                           +----Gtk2::Alignment



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gtk2::Alignment-E<gt>B<new> ($xalign, $yalign, $xscale, $yscale)

=over

=item * $xalign (double) 

=item * $yalign (double) 

=item * $xscale (double) 

=item * $yscale (double) 

=back

=head2 $alignment-E<gt>B<set> ($xalign, $yalign, $xscale, $yscale)

=over

=item * $xalign (double) 

=item * $yalign (double) 

=item * $xscale (double) 

=item * $yscale (double) 

=back

=head2 (padding_top, padding_bottom, padding_left, padding_right) = $alignment-E<gt>B<get_padding> 

Since: gtk+ 2.4

=head2 $alignment-E<gt>B<set_padding> ($padding_top, $padding_bottom, $padding_left, $padding_right)

=over

=item * $padding_top (integer) 

=item * $padding_bottom (integer) 

=item * $padding_left (integer) 

=item * $padding_right (integer) 

=back

Since: gtk+ 2.4



=cut


=head1 PROPERTIES

=over

=item 'bottom-padding' (Glib::UInt : default 0 : readable / writable / private)

The padding to insert at the bottom of the widget.

=item 'left-padding' (Glib::UInt : default 0 : readable / writable / private)

The padding to insert at the left of the widget.

=item 'right-padding' (Glib::UInt : default 0 : readable / writable / private)

The padding to insert at the right of the widget.

=item 'top-padding' (Glib::UInt : default 0 : readable / writable / private)

The padding to insert at the top of the widget.

=item 'xalign' (float : default 0.5 : readable / writable / private)

Horizontal position of child in available space. 0.0 is left aligned, 1.0 is right aligned

=item 'xscale' (float : default 1 : readable / writable / private)

If available horizontal space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all

=item 'yalign' (float : default 0.5 : readable / writable / private)

Vertical position of child in available space. 0.0 is top aligned, 1.0 is bottom aligned

=item 'yscale' (float : default 1 : readable / writable / private)

If available vertical space is bigger than needed for the child, how much of it to use for the child. 0.0 means none, 1.0 means all

=back



=cut


=head1 SEE ALSO

L<Gtk2>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>, L<Gtk2::Container>, L<Gtk2::Bin>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2011 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gtk2> for a full notice.



=cut

